<?xml version="1.0" encoding="utf-8" ?>
<ArrayOfAction xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Action xsi:type="UpgradeDatabaseAction" />
  <Action xsi:type="UpgradeConfigurationAction" />

  <Action xsi:type="UpgradeBlobStorageAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" UpgradeTranslations="true" UpgradeTemplates="true" UpgradeConfiguration="true" UpgradePartnerSources="true">
    <Files>
      <File maxAge="43200">/Base/Bundles/AdminScripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/Scripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/App.js</File>
      <File maxAge="43200">/Base/Bundles/App.Admin.js</File>
      <File maxAge="43200">/Base/Bundles/App.Editmode.js</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.css</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.min.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.min.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.min.css</File>

			<File maxAge="604800">/Base/fonts/wizdom.eot</File>
			<File maxAge="604800">/Base/fonts/wizdom.svg</File>
			<File maxAge="604800">/Base/fonts/wizdom.ttf</File>
			<File maxAge="604800">/Base/fonts/wizdom.woff</File>


			<File maxAge="604800">/Base/fonts/fabricmdl2icons-2.58.ttf</File>
			<File maxAge="604800">/Base/fonts/fabricmdl2icons-2.58.woff</File>
			<File maxAge="604800">/Base/fonts/fabricmdl2icons-2.58.woff2</File>

      <File maxAge="43200">/Base/Bundles/Modules/Birthday.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/DepartmentUsers.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/EditorRevision.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Gamification.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Kanban.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Poll.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/ProfileProgress.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/CanteenMenu.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Currentmenu.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Manual.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Employees.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Webform.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/LightningPages.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/BusinessApps.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/ProjectSpace.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/CourseManagement.js</File>
      <File maxAge="43200">/Base/Bundles/Modules/Helpdesk.js</File> 
      <File maxAge="43200">/Base/Bundles/AppCore.js</File>
      <File maxAge="43200">/Base/Bundles/AppFull.js</File>

    </Files>
    <Folders>
    </Folders>
  </Action>
  <Action xsi:type="MoveNotficationsFeatureTogglesToConfiguration" />
  <Action xsi:type="AddCountriesToWeatherFavourites" />  
  <Action xsi:type="UpgradeSitecollectionsActionV2" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
  <Action xsi:type="UpgradeSitecollectionsPartnerModulesAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
  <Action xsi:type="MigrateCssGeneratorThemesAction" />
  <Action xsi:type="ClearCacheAction" />
  
</ArrayOfAction>